Skip to content
On this page

Create Photo Match Request

Accepts requests for Photo Matching. All requests are queued and processed as soon as possible.

Endpoints

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/idv/api/biometrics/photomatch?v=2.0
Productionhttps://api.streamline.laboremus.ug/idv/api/biometrics/photomatch?v=2.0

Request

Request Type : POST

Authorization

INFO

Always add your Subscription key to the request.

Query Parameters

NameTypeRequiredDescription
vstringyesThe API Version

Request Body

NameTypeRequiredDescription
idFrontPhotoFileyesFile to be verified
selfieFileyesReference file to check the source file
externalReferencestringno*External Reference for the request

INFO

Allowed image formats: jpeg, jpg, ico, png, bmp, gif, tif, tiff, webp. Max size is 5Mb

Example Request Body

bash
curl 'http://id-test.streamline.laboremus.ug/api/biometrics/photomatch?api-version=' \
  --request POST \
  --header 'Content-Type: multipart/form-data' \
  --form 'externalReference=' \
  --form 'idFrontPhoto=@filename' \
  --form 'selfie=@filename'
curl 'http://id-test.streamline.laboremus.ug/api/biometrics/photomatch?api-version=' \
  --request POST \
  --header 'Content-Type: multipart/form-data' \
  --form 'externalReference=' \
  --form 'idFrontPhoto=@filename' \
  --form 'selfie=@filename'

Response

Response Values

NameTypeDescription
externalReferencestring or nullExternal Reference for the request if it exists
idstringUnique Id of the request
requestUristring or nullThe Url to find the request
statusstring (Enum: Pending, Completed, Failed)The stage of processing at which the request is

Example Response Body

Content type

application/json

json
{
 "status": "Pending",
 "externalReference": null,
 "id": "3a78a929-ed39-485a-b041-b4bb2176225b",
 "requestUri": "/api/biometrics/photomatch/3a78a929-ed39-485a-b041-b4bb2176225b?v=2.0"
}
{
 "status": "Pending",
 "externalReference": null,
 "id": "3a78a929-ed39-485a-b041-b4bb2176225b",
 "requestUri": "/api/biometrics/photomatch/3a78a929-ed39-485a-b041-b4bb2176225b?v=2.0"
}

Error Response

400 The request data is invalid

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Not authorized to access the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Refuse to authorize access to the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Request does not exist

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 The server encountered an unexpected error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right